View Issue Details

IDProjectCategoryView StatusLast Update
0001805FreeCADFeaturepublic2016-01-19 02:06
ReporteryorikAssigned Toyorik 
PrioritylowSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.16 
Summary0001805: Spreadsheet - Allow to place a spreadsheet on a Drawing sheet
DescriptionAn object derived from Drawing::FeatureView should be created, that allows to place a representation of a spreadsheet object on a Drawing page, and a specific Gui Command to create such an object.

This object could have the following properties:
- Linked source spreadsheet
- Start cell and end cell, so you can define a cells range (a rectangle)
- Font name
- Font height
- Alignment (left, right, centered)
- Font color
- Line width
- Line color
- Padding (spacing between the text and the lines)
TagsNo tags attached.

Activities

yorik

2015-01-13 20:32

administrator   ~0005650

This will be postponed for after the new C++ spreadsheet module is merged

Related Changesets

FreeCAD: master 85fdc8c7

2016-01-03 19:44:56

yorik

Details Diff
Drawing: Add SpreadsheetView command - fixes 0001805 Affected Issues
0001805
mod - CMakeLists.txt Diff File
mod - src/Mod/Drawing/App/AppDrawing.cpp Diff File
mod - src/Mod/Drawing/App/CMakeLists.txt Diff File
add - src/Mod/Drawing/App/FeatureViewSpreadsheet.cpp Diff File
add - src/Mod/Drawing/App/FeatureViewSpreadsheet.h Diff File
mod - src/Mod/Drawing/Gui/Command.cpp Diff File
mod - src/Mod/Drawing/Gui/Resources/Drawing.qrc Diff File
add - src/Mod/Drawing/Gui/Resources/icons/actions/drawing-spreadsheet.svg Diff File
mod - src/Mod/Drawing/Gui/Workbench.cpp Diff File

Issue History

Date Modified Username Field Change
2014-10-27 12:04 yorik New Issue
2014-10-27 12:04 yorik Status new => assigned
2014-10-27 12:04 yorik Assigned To => yorik
2015-01-13 20:32 yorik Note Added: 0005650
2015-01-13 20:33 yorik Priority normal => low
2016-01-03 18:45 yorik Changeset attached => FreeCAD Master master 85fdc8c7
2016-01-03 18:45 yorik Status assigned => closed
2016-01-03 18:45 yorik Resolution open => fixed
2016-01-19 02:06 yorik Fixed in Version => 0.16